tigase.server.ext.handlers

## Class HandshakeProcessor

- java.lang.Object
- - tigase.server.ext.handlers.HandshakeProcessor

- All Implemented Interfaces:
    ExtProcessor

      public class HandshakeProcessor
      extends Object
      implements ExtProcessor

  Created: Oct 21, 2009 1:58:56 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HandshakeProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()`
    `List<Element>` | `getStreamFeatures(ComponentIOService serv, ComponentProtocolHandler handler)`
    `boolean` | `process(Packet p, ComponentIOService serv, ComponentProtocolHandler handler, Queue<Packet> results)`
    `void` | `startProcessing(Packet p, ComponentIOService serv, ComponentProtocolHandler handler, Queue<Packet> results)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HandshakeProcessor

          public HandshakeProcessor()

  - ### Method Detail

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ExtProcessor`

    - #### getStreamFeatures

          public List<Element> getStreamFeatures(ComponentIOService serv,
                                                 ComponentProtocolHandler handler)

      Specified by:
        `getStreamFeatures` in interface `ExtProcessor`

    - #### process

          public boolean process(Packet p,
                                 ComponentIOService serv,
                                 ComponentProtocolHandler handler,
                                 Queue<Packet> results)

      Specified by:
        `process` in interface `ExtProcessor`

    - #### startProcessing

          public void startProcessing(Packet p,
                                      ComponentIOService serv,
                                      ComponentProtocolHandler handler,
                                      Queue<Packet> results)

      Specified by:
        `startProcessing` in interface `ExtProcessor`

Copyright © 2022 "Tigase, Inc.". All rights reserved.